package rition.common.data.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.time.Instant;

@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
@TableName("alert")
public class AlertEntity {
    /**
     * id
     */
    private Long id;

    /**
     * 出现警告的实例id
     */
    private String instanceId;

    /**
     * 触发的规则
     */
    private Long rule;

    /**
     * 警告出现的时间
     */
    private Instant time;

    /**
     * status
     */
    private Integer status;
}
