package rition.common.data.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.time.Instant;

@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
@TableName("ecs")
public class EcsEntity {
    /**
     * 实例id
     */
    private String id;

    /**
     * 主机名称
     */
    private String name;

    /**
     * 主机绑定分配的ip
     */
    private String ip;

    /**
     * create_time
     */
    private Instant createTime;

    /**
     * update_time
     */
    private Instant updateTime;

    /**
     * status
     */
    private Integer status;

}
