//go:build windows

package probe

import "github.com/shirou/gopsutil/v3/mem"

func (p *Probe) RamUsage() (uint64, uint64, uint64, uint64) {
	memory, _ := mem.VirtualMemory()
	return memory.Total, memory.Used, memory.Buffers, memory.Cached
}
