package rition.backend;

import com.github.yitter.contract.IdGeneratorOptions;
import com.github.yitter.idgen.YitIdHelper;
import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.scheduling.annotation.EnableAsync;
import org.springframework.scheduling.annotation.EnableScheduling;
import org.springframework.transaction.annotation.EnableTransactionManagement;

@EnableAsync
@EnableScheduling
@SpringBootApplication(scanBasePackages = {
        "rition",
})
@MapperScan("rition")
@EnableTransactionManagement
public class RitionBackendMain {
    public static void main(String[] args) {
        IdGeneratorOptions options = new IdGeneratorOptions((short) 0);
        YitIdHelper.setIdGenerator(options);

        SpringApplication.run(RitionBackendMain.class);
    }
}
