
package rition.backend.api.v1.dto.request;

import lombok.Data;

import java.util.Map;

@Data
public class MetricDataUploadRequest {
    /**
     * 指标名
     */
    private String metric;

    /**
     * 数据标签
     */
    private Map<String, String> tags;

    /**
     * 时间戳
     */
    private Long timestamp;

    /**
     * 值，统一转为double数值
     */
    private Double value;
}
