package rition.backend.api.v1.panel;

import org.springframework.web.bind.annotation.*;
import rition.backend.api.v1.dto.request.AlertRuleAddRequest;
import rition.backend.api.v1.dto.response.Response;

@RestController
@RequestMapping("/rules")
public class AlertRuleController {
    @GetMapping("/list/{instanceId}")
    public Response<Object> getAlertRuleList(@PathVariable("instanceId") String instanceId) {
        return Response.success();
    }

    @PostMapping("/add/{instanceId}")
    public Response<Object> addAlertRule(@PathVariable("instanceId") String instanceId,
                                        @RequestBody AlertRuleAddRequest alertRuleAddRequest) {
        return Response.success();
    }

    @PostMapping("/delete/{instanceId}")
    public Response<Object> deleteAlertRule(@PathVariable("instanceId") String instanceId,
                                           @RequestParam("id") String alertRuleId) {
        return Response.success();
    }
}
