package rition.service.monitor.configure;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.Configuration;

@Data
@Configuration
@ConfigurationProperties("rition.kafka")
public class MonitorServiceKafkaConfigure {
    private DataCollectingKafkaConfig dataCollecting;
    private AlertMessageKafkaConfig alertMessageKafkaConfig;

    @Data
    public static class DataCollectingKafkaConfig {
        private String topic;
        private String group;
    }

    @Data
    public static class AlertMessageKafkaConfig {
        private String topic;
        private String group;
    }
}
